# Class CIM_IPXNetwork
extends CIM_LogicalNetwork

A network or subnet that uses the IPX protocol. Since this class' superclass (LogicalNetwork) has been deprecated (in order to define more consistent 'collection' semantics), this class is also deprecated.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_CollectionOfMSEs
|
+--CIM_LogicalNetwork
|
+--CIM_IPXNetwork

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_IPXConnectivityNetwork
Description | string | A network or subnet that uses the IPX protocol. Since this class' superclass (LogicalNetwork) has been deprecated (in order to define more consistent 'collection' semantics), this class is also deprecated.
UMLPackagePath | string | CIM::Network::Collections
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
NetworkNumber | string |
Deprecated | string | CIM_IPXConnectivityNetwork.NetworkNumber
Description | string | An IPX network number formatted as eight hexadecimal digits (e.g., "00112233").

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CollectionID | string | CIM_CollectionOfMSEs
CreationClassName | string | CIM_LogicalNetwork
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_LogicalNetwork
NetworkType | uint16 | CIM_LogicalNetwork
OtherTypeDescription | string | CIM_LogicalNetwork
SystemCreationClassName | string | CIM_LogicalNetwork
SystemName | string | CIM_LogicalNetwork

## Class Methods